python-can (4.6.1-2) unstable; urgency=medium

  * fix FTBR (Closes: #1117494)

 -- Carl Keinath <carl.keinath@gmail.com>  Tue, 07 Oct 2025 19:40:46 +0200

python-can (4.6.1-1) unstable; urgency=medium

  * New upstream version 4.6.1
  * Adopt package (Closes: #1014518)
  * d/watch: migrate to version 5 format
  * d/control:
    - Bump Standards-Version to 4.7.2 (no changes needed)
    - Switch Testsuite to autopkgtest-pkg-pybuild
    - Add python3-doc <!nodoc> to Build-Depends
  * d/gbp.conf: set debian/master as default branch
  * d/manpages:
    - Refresh can_logger.1, can_player.1, can_viewer.1, can_logconvert.1
    - Add new manpage: can_bridge.1
   * d/patches:
    - Refresh python3.patch, examples.patch.
    - Add use-local-python-objects-inv.patch to avoid network use
  * d/copyright:
    - Updated licenses and years

 -- Carl Keinath <carl.keinath@gmail.com>  Wed, 01 Oct 2025 09:34:51 +0200

python-can (4.5.0-1) unstable; urgency=medium

  * New upstream version 4.5.0
    + Drop patch applied upstream
    + Refresh remaining patches
  * Drop numbers from patches
  * Update copyright information
    + Re-generate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 29 Nov 2024 20:42:59 +0100

python-can (4.4.2-1) unstable; urgency=medium

  * New upstream version 4.4.2
  * Drop Dependency on python3-pkg-resources (Closes: #1083604)
  * Add patch to drop deprecated datetime.utcfromtimestamp()
  * Refresh patches with 'gbp pq'
  * Apply 'wrap-and-sort -ast'

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 04 Nov 2024 22:25:54 +0100

python-can (4.4.0-1) unstable; urgency=medium

  * New upstream version 4.4.0
  * Update copyright information
    + Update copyright dates
    + Re-generate d/copyright_hints
  * Fix capitalisation in changelog entry for 4.3.1-2
  * Bump standards version to 4.7.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 17 Jun 2024 18:43:09 +0200

python-can (4.3.1-2) unstable; urgency=medium

  * Add myself as second uploader
  * Remove extraneous dependency on python3-mock

 -- Alexandre Detiste <tchet@debian.org>  Mon, 29 Apr 2024 00:54:22 +0200

python-can (4.3.1-1) unstable; urgency=medium

  * New upstream version 4.3.1
    + Drop obsolete patches
    + Refresh patches
  * Update manpages
    + Build manpage for can_logconvert
    + Re-generate all manpages
  * Re-generate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 12 Dec 2023 21:15:27 +0100

python-can (4.2.2-2) unstable; urgency=medium

  * Fix tests for BigEndian architectures

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 29 Jun 2023 13:24:11 +0200

python-can (4.2.2-1) unstable; urgency=medium

  * New upstream version 4.2.2
    (Closes: #1039614)
  * Re-generate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 28 Jun 2023 13:25:58 +0200

python-can (4.2.1-1) unstable; urgency=medium

  * New upstream version 4.2.1
    + Refresh patches
  * B-D on python3-sphinx-copybutton
  * Update d/copyright
    + Bump copyright-dates
    + Ensure that 'licensecheck' is run with the C.UTF-8 locale
    + Regenerate d/copyright_hints
  * Demote myself from maintainer to uploader
  * Bump standards version to 4.6.2

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 13 Jun 2023 17:46:42 +0200

python-can (4.1.0-1) unstable; urgency=medium

  * New upstream version 4.1.0

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Refresh patches
  * Drop patches applied upstream.
  * Additional Build-Depends for docs
  * Add patch to fix examples
  * Drop obsolete python3:Recommends and python3:Suggests
  * Add sphinxdoc:Built-Using
  * Make sure that test.trc is not shipped in toplevel Python
    library directory
  * Update d/copyright
    + Modernize 'licensecheck' target
    + Exclude images from 'licensecheck'
    + Regenerate d/copyright_hints
  * Update d/upstream/metadata

  [ Stefano Rivera ]
  * Remove debian/rules hack to copy the full contents of test/ into
    pybuild-environment. Not needed.
  * Build with pybuild-plugin-pyproject.

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 29 Nov 2022 13:33:15 +0100

python-can (4.0.0~github-4) unstable; urgency=medium

  * Skip LittleEndian-tests on BigEndian archs
  * Switch upstream homepage to github

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 17 Aug 2022 10:27:17 +0200

python-can (4.0.0~github-3) unstable; urgency=medium

  * d/watch: mangle the ~github suffix from debversion

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 04 Aug 2022 22:08:23 +0200

python-can (4.0.0~github-2) unstable; urgency=medium

  * Disable Multicast/IP tests during build (not runnable on buildd)
  * Add autopkgtest (that includes the Multicast/IP tests)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 14 Jul 2022 12:53:21 +0200

python-can (4.0.0~github-1) unstable; urgency=medium

  * New upstream version 4.0.0~github
    - Remove patches resolved upstream
    - Refresh remaining patches
  * Add patch to drop tests requiring unpackaged modules
  * Add patch to fix pytest.approx assertions (Closes: #1013710)
  * python-can-doc updates:
    - Add patch to make documentation reproducible
    - Set PYTHONPATH when invoking sphinx
    - Don't build sphinx-documentation in the <nodoc> profile
    - Declare that python3-can is the main package for the docs
    - Fix doc-base path
  * Replace dh's "--with ..." with B-Ds on dh-sequence-...
  * Update Build-Dependencies
    - Add new dependencies
    - Drop unused B-Ds
    - Annotate B-Ds that are only needed in certain build-profiles
  * Fix (and simplify) d/watch
  * Refresh d/copyright
    - Regenerate d/copyright_hints
  * Bump standards version to 4.6.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 07 Jul 2022 12:16:10 +0200

python-can (3.3.2.final~github-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Update standards version to 4.5.0, no changes needed.

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Sandro Tosi ]
  * Use the new Debian Python Team contact name and address

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Add patch for Python3.10 compatibility (Closes: #1002391)
  * Keep an empty "tool:pytest" section in setup.cfg to fix salsa-ci
    builds
  * Apply 'wrap-and-sort -ast'
  * Use "execute_after_dh_..." rather than "override_dh_..."
  * Bump dh-compat to 13
  * Bump standards version to 4.6.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 10 Jan 2022 13:41:39 +0100

python-can (3.3.2.final~github-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ IOhannes m zmölnig ]
  * Fixed d/watch
  * Don't install a python-package "test" that only contains python-can tests

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 13 Jan 2020 11:22:58 +0100

python-can (3.3.2.final~github-1) unstable; urgency=medium

  * New upstream version 3.3.2.final~github
    * Refresh patches

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 16 Sep 2019 11:36:36 +0200

python-can (3.3.2~github-1) unstable; urgency=medium

  * New upstream version 3.3.2~github

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Refresh patches
  * Drop "python-can" as part of the Python2 removal in bullseye
    * Add patch to use 'python3' in doc-strings and when calling scripts
  * Add patch to fallback to 'enum' library
  * Add patch to (temporarily) disable 'sphinx_autodoc_typehints'
  * Add hack to copy the full contents of test/ into pybuild-environment
  * Switch d/watch to monitor github instead of pypi
  * Update d/copyright
    * Refresh d/copyright_hints

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 10 Sep 2019 15:19:19 +0200

python-can (3.0.0+github-1) unstable; urgency=medium

  * New upstream version 3.0.0+github
    * Upstream provides a nicer tarball on github than via pypi
    * Drop patches that are no longer needed
    * Refresh patches
  * Add B-Ds required for the testsuite
  * Alphabetically sort B-Ds
  * Build and install manpages
  * Fixed doc installation paths
  * Add gbp.conf
  * Bumped dh compat to 12
  * Bumped standards version to 4.3.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 11 Feb 2019 23:19:15 +0100

python-can (3.0.0-1) unstable; urgency=medium

  * New upstream version 3.0.0

  [ Ondřej Nový ]
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Refreshed patches
  * Added patch to fix pytest invocation
  * Updated d/copyright(_hints)
  * Bumped standards version to 4.2.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 09 Oct 2018 20:57:50 +0200

python-can (2.2.1-1) unstable; urgency=medium

  * Import python-can_2.2.1.orig.tar.gz
  * Patches
    * Added missing sphinx-config
    * Skip unit-tests that lack inpurt data
    * Skip unit-tests that require kernel-module to be loaded
    * Patch to skip some minor failing test on Py3.6
  * Dropped git-dpm
  * Added README.rst to docs (Closes: #896187, #903188)
  * Added new B-Ds for testsuite
  * Don't require "root" for building
  * Updated d/copyright(_hints)
  * Bumped standards version to 4.1.5

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 16 Jul 2018 11:47:12 +0200

python-can (2.1.0-3) unstable; urgency=medium

  * Enabled generic DebCI tests for python packages
  * Bumped standards version to 4.1.4

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 18 Apr 2018 15:46:50 +0200

python-can (2.1.0-2) unstable; urgency=medium

  * Added missing Depends on python-pkg-resources

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 08 Mar 2018 11:25:46 +0100

python-can (2.1.0-1) unstable; urgency=medium

  * New upstream release 2.1.0

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Imported new upstream
  * Added missing sphinx-config

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 04 Mar 2018 22:46:28 +0100

python-can (2.0.0-1) unstable; urgency=medium

  * Imported python-can 2.0.0

  * Updated d/watch
  * B-D on python3-sphinx
  * Depend on python-serial
  * Dropped manpages for no-longer existing binaries
  * Set Multi-Arch:foreign for doc package
  * Updated d/copyright
    * Added 'licensecheck' rule
    * Added d/copyright_hints
  * Bumped standards version to 4.1.3

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 07 Jan 2018 11:22:31 +0100

python-can (1.5.2-3) unstable; urgency=medium

  * Added python-can-doc package
    * Build documentation with sphinx
    * Added missing sphinx-config
    * B-D on sphinx
  * Multi-line dependencies and suggest -doc package.
  * Fixed description.

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 26 Sep 2016 17:16:19 +0200

python-can (1.5.2-2) unstable; urgency=medium

  * Dropped test-output from binary packages.

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 22 Sep 2016 23:39:35 +0200

python-can (1.5.2-1) unstable; urgency=medium

  * Initial release (closes: #837805)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 15 Sep 2016 14:49:36 +0200
